#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  plasma-activities-stats-6.2.4

- Next

  okular-24.12.0

- Up
- Home

# kio-extras-24.12.0

## Introduction to kio-extras

The kio-extras package contains additional components to increase the functionality of the KDE resource and network access abstractions.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.0/src/kio-extras-24.12.0.tar.xz

- Download MD5 sum: 0be67a11b163a3828858fca623cb8dd4

- Download size: 3.4 MB

- Estimated disk space required: 101 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### kio-extras Dependencies

#### Required

KDE Frameworks-6.9.0, kdsoap-ws-discovery-client-0.4.0, plasma-activities-6.2.4, and qcoro-0.11.0

#### Recommended

libkexiv2-24.12.0

#### Optional

libtirpc-1.3.6, Samba-4.21.2, taglib-2.0.2, libappimage, libimobiledevice, libmtp, libplist, libssh, and OpenEXR

## Installation of kio-extras

Install kio-extras by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkioarchive6.so and 33 plugins
Installed Directories: $KF6_PREFIX/include/KioArchive6, $KF6_PREFIX/lib/cmake/KioArchive6, and $KF6_PREFIX/share/doc/HTML/en/kioworker6

- Prev

  plasma-activities-stats-6.2.4

- Next

  okular-24.12.0

- Up
- Home